Table of Contents

## Name

xdiary - your personal organizer

## Synopsis

xdiary [-usage] [xdiaryOption ...] [toolkitOption ...]

## Description

XDiary is your personal organizer that combines the functions of a desktop calendar, an appointment book and an alarm clock. XDiary will help you keep track of your meetings, appointments and plan your time.

XDiary is a Motif/X Windows application which allows you to manage one or more calendars with a 'few clicks with the mouse'.

XDiary is a powerful calendar; it can be used as you personal reminder or it can be a group calendar shared by several people. As a group calendar, it can handle multiple diary databases and offers full access control.

XDiary is based on a calendar and a day view. By using the calendar, you select the day that interests you and in the day view, you register your appointments and notes in the appointment window.

A calendar can be personal (with your private appointments),belong to a group (with group meetings) or be public (department wide information). You normally start to use XDiary as your private calendar but you should know that XDiary is capable of much more.

For an entry (an appointment or a note) in the day view, you can define one or more alarms that will give you reminders. You are free to select the time when the alarm should sound and you can also select the tune to be played.

The best way to learn XDiary is to use it. Do not be afraid, try all functions you can find and if you need assistance, just use the built in help, it is there to support you.

## Options

All standard Xt Intrinsics toolkit options are supported. In addition, xdiary supports several other options which are described in the XDiary on-line help.

## Utilities

You might also find the following utilities useful. For each utility, you can get more help with the flag -usage, e.g.

xdalarm -usage

gives you some help for the utility xdalarm. Otherwise, try the built-in help facility in XDiary, it's not bad!

Utilities marked with a (*) are normally started for within the XDiary application.

xdaclunix (*)
  Defines access control for diary databases in the standard *IX file system.
xdaclafs (*)
  Defines access control for diary databases in the Andrew File system (AFS).
xdalarm (*)
  Starts an alarm process for the given database.
xdcustom (*)
  Customize your XDiary session. Further customization can be made in your .Xdefaults file.
xddump
  Dumps selected entries in the given diary database to an ASCII file. See also xdrestore.
xdinitdb
  Creates a diary database or updates an existing database.
xdlight
  A 'lighter' version of XDiary with a single day view. Does not have all the possibilities xdiary has.
xdnotify
  Sends you notifications when a diary database changes.
xdremind (*)
  Allows you to set 'light-weight' alarms, i.e. alarms which you do not want to put in your calendar.
xdremove
  Removes entries in a diary database older than n days.
xdrestore
  Takes an ASCII file with one or more entries and inserts the entries in the given diary database. See also xddump.

## Files

$HOME/XDiary.custom

$HOME/Diary

## See Also

The built in help in XDiary.

## Author

Roger Larsson (llg@ubszh.ch.net)

Comments, suggestions, and bug reports are always welcome.

Table of Contents

- Name
- Synopsis
- Description
- Options
- Utilities
- Files
- See Also
- Author